## org.apache.catalina.startup
Class BootstrapServiceContext

    java.lang.Object
      org.apache.catalina.startup.BootstrapServiceContext

All Implemented Interfaces:
  org.apache.commons.daemon.DaemonContext

public class BootstrapServiceContext
extends java.lang.Object
implements org.apache.commons.daemon.DaemonContext

Context for the BootstrapService.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Jean-Frederic Clere

Constructor Summary
`BootstrapServiceContext()`

Method Summary
`java.lang.String[]` `getArguments()`
`org.apache.commons.daemon.DaemonController` `getController()`
`void` `setArguments(java.lang.String[] args)`
`void` `setController(org.apache.commons.daemon.DaemonController controller)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapServiceContext

    public BootstrapServiceContext()

Method Detail

### getController

    public org.apache.commons.daemon.DaemonController getController()

  Specified by:
    `getController` in interface `org.apache.commons.daemon.DaemonContext`

### setController

    public void setController(org.apache.commons.daemon.DaemonController controller)

### getArguments

    public java.lang.String[] getArguments()

  Specified by:
    `getArguments` in interface `org.apache.commons.daemon.DaemonContext`

### setArguments

    public void setArguments(java.lang.String[] args)

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.